curl --request POST \
--url https://api.devhelm.io/api/v1/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"variables": {},
"isDefault": true
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": 123,
"name": "<string>",
"slug": "<string>",
"variables": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorCount": 123,
"isDefault": true
}
}curl --request POST \
--url https://api.devhelm.io/api/v1/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"variables": {},
"isDefault": true
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": 123,
"name": "<string>",
"slug": "<string>",
"variables": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorCount": 123,
"isDefault": true
}
}API key (dh_live_...) or Auth0 JWT token
Human-readable environment name
100URL-safe identifier (lowercase alphanumeric, hyphens, underscores)
100^[a-z0-9][a-z0-9_-]*$Initial key-value variable pairs for this environment
Show child attributes
Whether this is the default environment for new monitors
Created
Environment with variable substitutions for monitor configs
Show child attributes